Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Messaging

List Channels

GET
/v1/channels

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id?string
id[in]?string
type?string
type[in]?string
status?string
status[in]?string
limit?integer
Default10
Range0 <= value <= 100
page_token?string
Length1 <= length

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/channels"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2",      "name": "string",      "handle": "string",      "alias": [        "string"      ],      "type": "email",      "status": "active",      "active": true,      "provider_id": "fe3d49af-4061-436b-ae60-f7044f252a44",      "provider_type": "360dialog-whatsapp-business-account",      "external_id": "string",      "link": "string",      "daily_message_limit": -9007199254740991,      "sms_available": true,      "voice_available": true,      "voice_enabled": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "deleted_at": "2019-08-24T14:15:22Z"    }  ],  "next_page_url": "string",  "previous_page_url": "string"}